<html>
    <head><title>CFAdmin API Test script</title>
    </head>
    <body>
    <h3>Create a test MSSQL DSN</h3>
	<cfif isdefined("form.createDSN")>
	<fieldset>
	<legend>XML Response</legend>
	A message of "OK" means everything worked, otherwise an error message will be returned.<br>
	<cfoutput>Contacting http://#form.webserver#/cfide/adminapi/webService/cf8adminapi.cfc?wsdl</cfoutput><br>
	<cftry>
	<cfinvoke webservice="http://#form.webserver#/cfide/adminapi/webService/cf8adminapi.cfc?wsdl" method = "setMSSQLDSN" returnvariable="result">
		<cfinvokeargument name="adminpassword" value="#form.cfadminpassword#">
		<cfinvokeargument name="name" value="#form.datasource#">
		<cfinvokeargument name="host" value="#form.host#">
		<cfinvokeargument name="database" value="#form.database#">
	
	<cfinvokeargument name="username" value="#form.username#">
	<cfinvokeargument name="password" value="#form.password#">
	<cfinvokeargument name="port" value="1433">
	<cfinvokeargument name="description" value="">
	<cfinvokeargument name="type" value="ddtek">
	<cfinvokeargument name="vendor" value="sqlserver">
	<cfinvokeargument name="originaldsn" value="">	
	<cfinvokeargument name="driver" value="MSSQLServer">
	<cfinvokeargument name="_class" value="macromedia.jdbc.MacromediaDriver">
	<cfinvokeargument name="encryptpassword" value="true">
	<cfinvokeargument name="args" value="">
	<cfinvokeargument name="sendStringParametersAsUnicode" value="false">
	<cfinvokeargument name="selectmethod" value="direct">
	<cfinvokeargument name="MaxPooledStatements" value="">	
	<cfinvokeargument name="timeout" value="">	
	<cfinvokeargument name="interval" value="">	
	<cfinvokeargument name="login_timeout" value="">	
	<cfinvokeargument name="buffer" value="">	
	<cfinvokeargument name="blob_buffer" value="">	
	<cfinvokeargument name="enablemaxconnections" value="">
	<cfinvokeargument name="maxconnections" value="">	
	<cfinvokeargument name="pooling" value="">
	<cfinvokeargument name="disable" value="">
	<cfinvokeargument name="disable_clob" value="">
	<cfinvokeargument name="disable_blob" value="">
	<cfinvokeargument name="select" value="">
	<cfinvokeargument name="create" value="">
	<cfinvokeargument name="grant" value="">
	<cfinvokeargument name="insert" value="">
	<cfinvokeargument name="drop" value="">
	<cfinvokeargument name="revoke" value="">
	<cfinvokeargument name="update" value="">
	<cfinvokeargument name="alter" value="">
	<cfinvokeargument name="storedproc" value="">
	<cfinvokeargument name="delete" value="">
	<cfinvokeargument name="DeleteOnError" value="">
	<cfinvokeargument name="ReturnErrorOnUpdate" value=	"yes">

	</cfinvoke>
	
	<cfdump var="#xmlParse(result)#">
	<cfcatch>
		Error contacting web service.<br>
		<cfoutput>#cfcatch.message#</cfoutput>
	</cfcatch>
	</cftry>
	</fieldset>
	</cfif>
	<form method="post">
		Web Server: <input type="text" name="webserver"> <br>
		The Domain name or IP address of the coldfusion web server, e.g. www.mydomain.com<br>
		CFADMIN Password: <input type="text" name="cfadminpassword"><br>
		DSN: <input type="text" name="datasource" value="test" value="123test"><br>
		Username: <input type="text" name="username"><br>
		Password: <input type="text" name="password"><br>
		Host: <input type="text" name="host" value="localhost"><br>
		Database: <input type="text" name="Database" value="test"><br>
		
		<input type="submit" name="createDSN">
	</form>
	
	
	<h3>Config Settings</h3>
	If you get an error below then you have not installed the API correctly.
	<cfinvoke component="cfide.adminapi.webService.cf8adminapi" method="loadConfig" returnvariable="return">

	</cfinvoke>
	<cfdump var="#return#">
	</body>
</html>